<?php

namespace Hilco\Models;


class PromotionCurrencyTrigger extends PromotionTriggerDetails {
    protected $table = 'PromotionCurrencyTriggers';
    protected $fillable = ['currency', 'commit_sequence'];

    public function isTriggered(Customer $soldToCustomer, $webCartItems, $distinctPartInfo = []) {
        return $this->currency == $soldToCustomer->currency;
    }

    public function postTriggerOperation($soldToCustomer) {

    }
}